Skip to main content
GET
/
api
/
v1
/
runtime
/
v1
/
vectors
/
stores
/
{name}
/
documents
List Documents
curl --request GET \
  --url https://api.runflow.ai/api/v1/runtime/v1/vectors/stores/{name}/documents
import requests

url = "https://api.runflow.ai/api/v1/runtime/v1/vectors/stores/{name}/documents"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.runflow.ai/api/v1/runtime/v1/vectors/stores/{name}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Path Parameters

name
string
required

Vector store name

Query Parameters

limit
number

Default 100

offset
number

Default 0

metadataFilters
string

JSON-encoded object of metadata equality filters

Response

{ success, vectorStore, documents[], total, limit, offset, hasMore } on success.